## com.lowagie.bc.asn1
Class DERConstructedSet

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1Set
              com.lowagie.bc.asn1.DERConstructedSet

All Implemented Interfaces:
  DEREncodable, DERTags

    public class DERConstructedSet

extends ASN1Set

Field Summary

Fields inherited from class com.lowagie.bc.asn1.ASN1Set
`set`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERConstructedSet()`
`DERConstructedSet(DEREncodable obj)`
`DERConstructedSet(DEREncodableVector v)`

Method Summary
`void` `addObject(DEREncodable obj)`
`(package private) void` `encode(DEROutputStream out)`
`int` `getSize()`

Methods inherited from class com.lowagie.bc.asn1.ASN1Set
`equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERConstructedSet

    public DERConstructedSet()

### DERConstructedSet

    public DERConstructedSet(DEREncodable obj)

Parameters:
  `obj` - - a single object that makes up the set.

### DERConstructedSet

    public DERConstructedSet(DEREncodableVector v)

Parameters:
  `v` - - a vector of objects making up the set.

Method Detail

### addObject

    public void addObject(DEREncodable obj)

  Overrides:
    `addObject` in class `ASN1Set`

### getSize

    public int getSize()

### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

  Specified by:
    `encode` in class `ASN1Set`
  Throws:
    `java.io.IOException`